## org.eclipse.datatools.modelbase.sql.statements.impl
Class SQLStatementsFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.statements.impl.SQLStatementsFactoryImpl

All Implemented Interfaces:
  SQLStatementsFactory

    public class SQLStatementsFactoryImpl

extends EFactoryImpl
implements SQLStatementsFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatementsFactory
`eINSTANCE`

Constructor Summary
`SQLStatementsFactoryImpl()` Creates an instance of the factory.

Method Summary
`EObject` `create(EClass eClass)`
`SQLStatementDefault` `createSQLStatementDefault()`
`static SQLStatementsPackage` `getPackage()` Deprecated.
`SQLStatementsPackage` `getSQLStatementsPackage()`
`static SQLStatementsFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLStatementsFactoryImpl

    public SQLStatementsFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLStatementsFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createSQLStatementDefault

    public SQLStatementDefault createSQLStatementDefault()

  Specified by:
    `createSQLStatementDefault` in interface `SQLStatementsFactory`
  Returns:
    a new object of class 'SQL Statement Default'.

### getSQLStatementsPackage

    public SQLStatementsPackage getSQLStatementsPackage()

  Specified by:
    `getSQLStatementsPackage` in interface `SQLStatementsFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLStatementsPackage getPackage()

  Deprecated.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.